Bug 1040369 - fedora-review complains about missing %defattr with -D EPEL5
Summary: fedora-review complains about missing %defattr with -D EPEL5
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-review
Version: 19
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Stanislav Ochotnicky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-11 10:14 UTC by Mattias Ellert
Modified: 2014-01-07 09:41 UTC (History)
3 users (show)

Fixed In Version: fedora-review-0.5.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-19 07:06:15 UTC


Attachments (Terms of Use)

Description Mattias Ellert 2013-12-11 10:14:17 UTC
Description of problem:

The review report says:

- Each %files section contains %defattr if rpm < 4.4
  Note: %defattr missing, required by EPEL5
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions

However, on RHEL/CentOS 5:

$ rpm -q rpm
rpm 4.4.2.3-34.el5

So rpm is not < 4.4 on EPEL5 so the complaint about missing %defattr is not correct.

Version-Release number of selected component (if applicable):
fedora-review-0.5.0-3.fc19.noarch

How reproducible:
Always

Steps to Reproduce:
1. fedora-review -D EPEL5 ...

Actual results:

Complaints about missing %defattr

Expected results:

No complaints about missing %defattr

Comment 1 Stanislav Ochotnicky 2013-12-12 14:41:35 UTC
Proposed fix committed as commit ba49f28 upstream (release-0.5.1 branch)

Comment 2 Fedora Update System 2013-12-13 14:59:34 UTC
fedora-review-0.5.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/fedora-review-0.5.1-1.fc18

Comment 3 Fedora Update System 2013-12-13 15:00:22 UTC
fedora-review-0.5.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedora-review-0.5.1-1.el6

Comment 4 Fedora Update System 2013-12-13 15:01:40 UTC
fedora-review-0.5.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fedora-review-0.5.1-1.fc19

Comment 5 Fedora Update System 2013-12-13 17:56:06 UTC
Package fedora-review-0.5.1-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fedora-review-0.5.1-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23340/fedora-review-0.5.1-1.fc20
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-12-19 07:06:15 UTC
fedora-review-0.5.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-01-07 01:20:54 UTC
fedora-review-0.5.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-01-07 09:36:13 UTC
fedora-review-0.5.1-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-01-07 09:41:12 UTC
fedora-review-0.5.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.